Bug 1023740 - Odd progress indicator
Odd progress indicator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-27 10:35 EDT by John Gotts
Modified: 2013-12-22 00:35 EST (History)
2 users (show)

See Also:
Fixed In Version: fedup-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:22:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Gotts 2013-10-27 10:35:12 EDT
Description of problem:
It's difficult to track the progress of the downloading that fedup does, and it is a bit misleading. The first download batch looks like it skips two packages. Once that batch is complete, the next download batch doesn't have a progress indicator at all, but at least the list appears to be sorted alphabetically. (Hmm, a-g has taken about a half hour. Maybe h-z will take another 2 hours.) The second batch of downloading looks like it grabs packages that are zero bytes in length. Indeed these all could be issues with yum and not fedup.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. fedup --network 19
2.
3.

Actual results:
(2500/2502): zlib-devel-1.2.7-10.fc19.i686.rpm           |  49 kB     00:00     
warning: /var/tmp/fedora-upgrade/fedora/packages/GConf2-devel-3.2.6-6.fc19.i686.rpm: Header V3 RSA/SHA256 Signature, key ID fb4b18e6: NOKEY
GConf2-devel-3.2.6-6.fc19.i686.rpm                       | 110 kB     00:03     
...

What happened to 2501 and 2502? What are these additional hundreds of packages?

...
ghostscript-9.10-4.fc19.i686.rpm                         |    0 B     00:00    
...

ghostscript is zero bytes? That doesn't seem right.

Expected results:
fedup does appear to work very well. It would be great if every package being downloaded could be folded together into one accurately counted batch and take advantage of the progress indicator code.

Additional info:
Comment 1 Will Woods 2013-12-06 16:29:03 EST
fedup-0.8.0 should be using the same download progress meter code as yum; in my testing it works just like you'd expect, with no skipped numbers etc.
Comment 2 Fedora Update System 2013-12-11 17:12:57 EST
fedup-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc19
Comment 3 Fedora Update System 2013-12-11 17:21:04 EST
fedup-0.8.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc20
Comment 4 Fedora Update System 2013-12-11 17:22:56 EST
fedup-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc18
Comment 5 Fedora Update System 2013-12-13 00:10:28 EST
Package fedup-0.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23316/fedup-0.8.0-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-12-19 02:22:56 EST
fedup-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-12-19 20:45:08 EST
fedup-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-22 00:35:18 EST
fedup-0.8.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.